How to setup Python interpreter

I have opened up a .py file in Goland and it immediately prompted the installation of the python plug-in, after I have restarted the IDE and opened the file again, the following warning message appears, "No python interpreter configured for the module".
I couldn't figure out how to setup it up, is it even possible?

Thanks

5 comments
Comment actions Permalink

Hi,

You need to configure it in `Setting | Build, Execution, Deployment | Python Interpreter`. I've filed an issue about it: https://youtrack.jetbrains.com/issue/PY-38796.

1
Comment actions Permalink

Ok, that worked, thanks!

0
Comment actions Permalink

Hi,

I have this problem, but I am unfortunately not able to configure the interpreter in this Settings panel.

For "Python Interpreter:" section, there is a radio box that lets me select either "Use SDK of module:" or "Use specified interpreter:". If I choose "Use SDK of module:", the only choice I have is "[none]". If I choose "Use specified interpreter:", the only choice I have is "<Project Default>". Neither works.

Here is my "bug report" system info:

IU-193.6015.39, JRE 11.0.5+10-b520.30x64 JetBrains s.r.o, OS Mac OS X(x86_64) v10.15.3, screens 1680x1050, 2560x1440

Regards, Simon 

 

1
Comment actions Permalink

In 2019.3.5 I found it under Settings | Build, Execution, Deployment | Console | Python Console and picked my Anaconda Python as the specified interpreter but the "No Python interpreter configured for the module" warning message did not go away. I had to go to Project Structure | Modules, find the module with my python code, click on dependencies and select the Anaconda Python. I then had to restart IntelliJ.  [My update was a cross post with Daniii - I am using Go/Helm charts but not sure what GoLand is!]

0
Comment actions Permalink

boardtc Please, try the latest GoLand version if possible (GoLand / Help | Check for Updates...). If that doesn't help, please, provide exact steps to reproduce the issue. Thanks.

0

Please sign in to leave a comment.